 <?php
 session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];
  $especie_id=$_REQUEST['especie_id'];




$pi_folio=$_REQUEST['pi_folio'];
$num_caja=$_REQUEST['num_caja'];
$caja_id=$_REQUEST['caja_id'];
  include '../../conexion/conn.php';


$rs = mysql_query("SELECT * FROM cal_caja_calibre where caja_id='$caja_id'");

if($row = mysql_fetch_array($rs)){
$variedad_id=$row['variedad_id'];
$productor_id=$row['productor_id'];
$peso_racimo=$row['peso_racimo'];
$n_lote=$row['n_lote'];

}


$rs = mysql_query("SELECT * FROM cal_planilla_inspeccion where pi_folio='$pi_folio'");

if($row = mysql_fetch_array($rs)){
  $exportador_cod=$row['pi_exportador_cod'];
}
?>

<style type="text/css">
    .messages{
        float: left;
        font-family: sans-serif;
        display: none;
    }
    .info{
        padding: 10px;
        border-radius: 10px;
        background: orange;
        color: #fff;
        font-size: 18px;
        text-align: center;
    }
    .before{
        padding: 10px;
        border-radius: 10px;
        background: blue;
        color: #fff;
        font-size: 18px;
        text-align: center;
    }
    .success{
        padding: 10px;
        border-radius: 10px;
        background: green;
        color: #fff;
        font-size: 18px;
        text-align: center;
    }
    .error{
        padding: 10px;
        border-radius: 10px;
        background: red;
        color: #fff;
        font-size: 18px;
        text-align: center;
    }
</style>

        <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">Ingreso</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="pills-observacion-tab" data-toggle="pill" href="#pills-observacion" role="tab" aria-controls="pills-observacion" aria-selected="false">Observación</a>
          </li>
        </ul>
        <div class="tab-content" id="pills-tabContent">
          <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
            <div class="jumbotron" style="padding: 5px; height: 10%; margin: 0px;">
                <div class="row">
                    <form action="#" method=post name="formulario" id="formulario">
          <?php
          

          
              echo '<div class="col-sm">
               Variedad Rotulada <select class="form-control" id="variedad_id2" name="variedad_id2">';
                $rs2 = mysql_query("SELECT * FROM cal_variedades where cliente_id='$cliente' AND especie_id='$especie_id'");

                while($row2 = mysql_fetch_array($rs2)){
                  if($row2['variedad_id']==$variedad_id){
                     echo '<option value="'.$row2['variedad_id'].'" selected>'.$row2['variedad_nombre'].'</option>';
                  }else{
                     echo '<option value="'.$row2['variedad_id'].'">'.$row2['variedad_nombre'].'</option>';
                  }

                         
                }
                        echo '</select>
              </div>';
          

           

           
              echo '<div class="col-sm">
               Productor Rotulado <select class="form-control" id="productor_id2" name="productor_id2">';
                $rs2 = mysql_query("SELECT * FROM cal_productores where cliente_id='$cliente' AND especie_id='$especie_id' AND exportador_cod='$exportador_cod' ORDER BY productor_nombre ASC");

                while($row2 = mysql_fetch_array($rs2)){
                  if($row2['productor_id']==$productor_id){
                    echo '<option value="'.$row2['productor_id'].'" selected>'.$row2['productor_id'].' - '.$row2['productor_nombre'].'</option>';
                  }else{
                    echo '<option value="'.$row2['productor_id'].'">'.$row2['productor_id'].' - '.$row2['productor_nombre'].'</option>';
                  }
                          
                }
                        echo '</select>
              </div>';
           
           echo '<input type="hidden" id="pi_folio" name="pi_folio" value="'.$pi_folio.'">';
           echo '<input type="hidden" id="especie_id" name="especie_id" value="'.$especie_id.'">';

           echo '<input type="hidden" id="num_caja_editar" name="num_caja_editar" value="">';
            ?>
          </div>
      </div>
            <?php
            

            echo '<TABLE BORDER CELLPADDING=10 CELLSPACING=0 width="85%">';
              
            


              ?> 
              
              <TR>
                <TD>
                  <TH>caja <?php echo $num_caja; ?></TH>
                </TD>
              </TR>
              <?php
              

                    echo '<TR>
                      <TH>PESO RACIMO</TH>
                      <TD><input type="text" style="text-transform:uppercase;"  onkeyup="javascript:this.value=this.value.toUpperCase();" id="peso_racimo" name="peso_racimo" placeholder="PESO RACIMO GR" value="'.$peso_racimo.'" tabindex="'.$tab.'"></TD>
                    </TR><TH>LOTE</TH>
                      <TD><input type="text" style="text-transform:uppercase;"  onkeyup="javascript:this.value=this.value.toUpperCase();" id="n_lote" name="n_lote" placeholder="LOTE" value="'.$n_lote.'" tabindex="'.$tab.'"></TD>
                    </TR></table>';
                    
                    
                    
                    echo '<TABLE id="tabla_real" BORDER CELLPADDING=10 CELLSPACING=0 width="85%">';
                    echo '<TR>
                    <TD>CONT</TD>
                      <TD>PESO BAYA</TD>
                      <TD>CALIBRE</TD>
                      </TR>';
                      
                      
                    $rs = mysql_query("SELECT * FROM cal_caja_calibre where caja_id='$caja_id' order by num_muestra ASC");

                    while($row = mysql_fetch_array($rs)){
                        $num_muestra=$row['num_muestra'];
                        $peso_baya=$row['peso_baya'];
                        $calibre=$row['calibre'];
                        echo '<TR>
                        <TD>'.$num_muestra.'</TD>
                            <TD><input type="text" style="text-transform:uppercase;" placeholder="PESO BAYA"  onkeyup="javascript:this.value=this.value.toUpperCase();" id="peso_baya'.$num_muestra.'" name="peso_baya'.$num_muestra.'" value="'.$peso_baya.'" tabindex="'.$tab.'"></TD>
                        <TD><input type="text" style="text-transform:uppercase;" placeholder="CALIBRE"  onkeyup="javascript:this.value=this.value.toUpperCase();" id="calibre'.$num_muestra.'" name="calibre'.$num_muestra.'" value="'.$calibre.'" tabindex="'.$tab.'"></TD>
                        
                        </TR>';
                    }
                      
                    
                    
                    
                  
               echo '<input type="hidden" id="num" name="num" value="'.$num_caja.'">';
                echo '<input type="hidden" id="caja_id" name="caja_id" value="'.$caja_id.'">';
                echo '<input type="hidden" id="contador" name="contador" value="'.$num_muestra.'">';
                

              ?>
              
            </TABLE>
            
           <button id="btnNuevo" type="button" class="btn btn-primary" onclick="nueva_fila()">Nueva Fila</button>
            



          </div>
          <div class="tab-pane fade" id="pills-observacion" role="tabpanel" aria-labelledby="pills-observacion-tab">
            Observación:<textarea id="observacion" name="observacion"></textarea>
          </div>
          
        </div>
        </form>
        


<script type="text/javascript"> 
  $(document).ready(function () { // Will only run once the page Document Object Model (DOM) is ready for JavaScript code 
    // Create a jQuery object containing the html element 'input'
    // Create a .not() method to exclude buttons for keypress event
    $(":input:not(:disabled)").not($(":button")).keypress(function(evt) {
        // If the keypress event code is 13 (Enter)
        if (evt.keyCode == 13) {
            // get the attribute type and if the type is not submit
            itype = $(this).prop('type');
            if (itype !== 'submit') {
                currentTabindex = $(this).attr('tabindex');
                if (currentTabindex) {
                    nextInput = $('input[tabindex^="'+ (parseInt(currentTabindex)+1) +'"]');
                    if (nextInput.length) {
                        nextInput.focus();
                        return false;
                    }
                }
            }
        }
    });

    $( 'input[type=number]' ).change(function() {
          var max = parseInt($(this).attr('max'));
          var min = parseInt($(this).attr('min'));
          if ($(this).val() > max)
          {
              $(this).val(max);
          }
          else if ($(this).val() < min)
          {
              $(this).val(min);
          }       
        }); 
        
        
        var contador=1;
});


function nueva_fila(){
    var contador = parseInt($('#contador').val());
    contador=contador+1;
    $('#contador').val(contador);
    
    
     var htmlTags = '<tr>'+
        '<TD>' + contador + '</TD>' +
        '<TD><input type="text" style="text-transform:uppercase;" placeholder="PESO BAYA"  onkeyup="javascript:this.value=this.value.toUpperCase();" id="peso_baya'+contador+'" name="peso_baya'+contador+'"></TD>'+
         '<TD><input type="text" style="text-transform:uppercase;" placeholder="CALIBRE"  onkeyup="javascript:this.value=this.value.toUpperCase();" id="calibre'+contador+'" name="calibre'+contador+'"></TD>'+
                    
      '</tr>';
      
   $('#tabla_real tbody').append(htmlTags);
   $('#peso_baya'+contador).focus();
   
}

  

      function enviar(){


        
        var caja_id=$('#caja_id').val();
        var pi_folio=$('#pi_folio').val();
       
        var num=$('#num').val();
        
        var variedad_id=$('#variedad_id2').val();
       
        var productor_id=$('#productor_id2').val();
        
       
        var especie_id=$('#especie_id').val();
        var contador=$('#contador').val();
        
        var observacion=$('#observacion').val();
        var peso_racimo=$('#peso_racimo').val();
        var peso_baya1=$('#peso_baya1').val();
        var calibre1=$('#calibre1').val();
        var n_lote=$('#n_lote').val();
        
        
        var contador2=2;
        var where="guardar.php?peso_baya1="+peso_baya1+'&calibre1='+calibre1;
        
        while(contador2<=contador){
           
            where=where+'&peso_baya'+ contador2 +'='+$('#peso_baya'+contador2).val();
           where=where+'&calibre'+ contador2 +'='+$('#calibre'+contador2).val();
            
            
            contador2++;
            
        }
        
        
        
        
       
        

      // alert(where);
       
        $.ajax({
            
            type: 'POST',
            url: where,
            data: {"caja_id": caja_id, "pi_folio": pi_folio, "num": num, "variedad_id": variedad_id, "productor_id": productor_id, "especie_id": especie_id, "contador": contador, "observacion": observacion, "peso_racimo": peso_racimo, "n_lote": n_lote},
            dataType: 'json',
            cache: false,
            success: function(result) {
                //var result = eval('('+result+')');
                //alert(result.perfil);
                        if (result.success){ 
                          
                          window.location.href = "index.php?pi_folio="+pi_folio+"&especie_id="+especie_id+"&variedad_id="+variedad_id+"&productor_id="+productor_id;
                          

                        } else {
                            $('#modalFormcajas').modal('toggle');
                            alert("ERROR");
                        }
               
            },
        });
          }
          
          

        

        
        
      

    </script> 